<?php

// smsGateway_filename (wihtout .php)
class smsGateway_demogateway {
	public $apifields = array(
        'apiid' => array("FriendlyName" => "API ID", "Type" => "text", "Size" => "10", ),
        'apiuser' => array("FriendlyName" => "API Username", "Type" => "text", "Size" => "15", ),
        'apipass' => array("FriendlyName" => "API Password", "Type" => "password", "Size" => "15" ),
        'senderid' => array("FriendlyName" => "Sender ID", "Type" => "text", "Size" => "15", ),
	);

    function sendSMSMessage() { 
        $recipients = array_combine(explode(',',$this->mobile),explode(',',$this->clientlist));
        // $apifields settings above can be access via $this->settingname
        // $this->apiid $this->apiusers etc..
        // Other variables passed on from the SMS addon
        // $this->smsmethod to be used in the SMS log
        // $this->sms_body is the SMS body
        // $this->mobile is a comma separated list of mobile numbers
        // $this->clientlist is a comma separated list of client ID's (in the same order as $this->mobile
        // $this->unicode is set to true if a unicode message is trying to be sent

        foreach($recipients as $client_mobile => $client_id) {
            // Code to send SMS messages here
            // $response = sms_addon_curl("http://smsgateway.com/api.php"); // CURL function (Simple GET call to URL)
            // $response = sms_addon_curl("http://smsgateway.com/api.php",array('scheduledatetime' => '12345678')); // CURL function with POST data
            
            // Log result using the following query
            $log = array('clientid' => $client_id,
                         'mobilenumber' => $client_mobile,
                         'smsbody' => $this->sms_body,
                         'smsmethod' => $this->smsmethod,
                         'apiresponse' => '',
                         'apiref' =>  '',
                         'smsstatus' => ''
                        );
            // apiresponse: response from SMS API (eg. The message was successfully accepted for delivery.)
            // apiref: A way to indentfy the SMS log entry, used for callbacks
            // smsstatus: 0 = Message did not send      1 = Message sent successfully     2 = Message in queue (for callbacks)
            
            sms_addon_smslogger($log, $this); // Leave this how it is
        }
        
        // return true; (if successful)
        // or
        // return $error; (return an error if not successful)

    }

    function smsBalance() { // Remove this function if balance isn't supported by SMS Gateway API

        // $apifields settings above can be access via $this->settingname
        // $this->apiid $this->apiusers etc..

        // Code to get balance from API
        // $response = sms_addon_curl("http://smsgateway.com/api.php"); // CURL function (Simple GET call to URL)
        // $response = sms_addon_curl("http://smsgateway.com/api.php",array('apiid' => $this->apiid)); // CURL function with POST data

        // return $balance; (if successful)
        // or
        // return false; (return an error if not successfull)

    }
}
?>